/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\Craftable artys\ml peerless\SilvanisFeywoodBow.cs
Lines of code: 69
***********************************************************/


using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	public class  SilvanisFeywoodBowRecipe : BaseRecipe
	{
	
		[Constructable]
		public SilvanisFeywoodBowRecipe()
		{		
		//InitRequirements();
		}
		
		
		//overrides:
		
		public override Type CraftedItem { get { return typeof(SilvanisFeywoodBow); } }
		public override string artyname { get { return "Silvanis Feywood Bow"; } }
		
		
	
		public override void InitRequirements()
		{
		base.InitRequirements(); //MUST be first! 
		
		//add required skills:
		
		RequiredSkills.Add(new ReqSkill(SkillName.Fletching,75));
		
		//add required resources
		
		CommonResources.Add(new ReqRes("Board",typeof(Board),20));
		
		RareResources.Add(new ReqRes("Lard of Paroxysmus",typeof(LardOfParoxysmus),1));		
		RareResources.Add(new ReqRes("Muculent",typeof(Muculent),10));		
		RareResources.Add(new ReqRes("Scourge",typeof(Scourge),10));		
		}	

			
	
		public SilvanisFeywoodBowRecipe( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}	
		
	}
	
	public class SilvanisFeywoodBow : ElvenCompositeLongbow
	{
		public override int LabelNumber{ get{ return 1072955; } } // Silvani's Feywood Bow

		[Constructable]
		public SilvanisFeywoodBow()
		{
			Hue = 0x1A;

			Attributes.SpellChanneling = 1;
			Attributes.AttackChance = 12;
			Attributes.WeaponSpeed = 30;
			Attributes.WeaponDamage = 35;
			
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=0;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=100;
			AosElementDamages.Chaos=0;			
		}

	/*	public override void GetDamageTypes( Mobile wielder, out int phys, out int fire, out int cold, out int pois, out int nrgy,out int chaos )
		{
			phys = fire = cold = pois = chaos = 0;
			nrgy = 100;
		}*/

		public SilvanisFeywoodBow( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}